|
@@ -0,0 +1,14 @@
|
|
|
+#!/bin/bash
|
|
|
+
|
|
|
+# Log difference in seconds
|
|
|
+_LOGDIFF=600
|
|
|
+# Log path
|
|
|
+_LOGDIR="/root/.wine/drive_c/services/analis/log"
|
|
|
+# Discover latest modified file
|
|
|
+_LOGFILE=$( ls -t -d -1 ${_LOGDIR}/* | head -1 )
|
|
|
+
|
|
|
+#Check difference between system time and latest modified file in logdir - if it's greater then $_LOGDIFF, then container is not healty
|
|
|
+if [[ $[ $(date +%s) - $(stat -c %Y ${_LOGFILE}) ] -gt ${_LOGDIFF} ]]; then
|
|
|
+ echo $(date)" The difference between system time and latest modified file in logdir is "$[ $(date +%s) - $(stat -c %Y ${_LOGFILE}) ]" The service seems to be unhealty." >> ${_LOGDIR}/healthcheck.log
|
|
|
+ exit 1
|
|
|
+fi
|